// Copyright (c) Mito
import React from 'react';
import { classNames } from '../../utils/classNames';
/**
 * The RadioButtons component. Displays a set of options and allows
 * the user to toggle between them
 */
const RadioButtons = (props) => {
    return (React.createElement("div", null, props.values.map((value, idx) => {
        const checked = value == props.selectedValue;
        return (React.createElement("div", { key: value, onClick: () => {
                props.onChange(value);
            }, className: classNames({ 'mt-5px': idx !== 0 }) },
            React.createElement("input", { type: "radio", name: value, value: value, checked: checked }),
            React.createElement("label", { htmlFor: value }, value)));
    })));
};
export default RadioButtons;
//# sourceMappingURL=RadioButtons.js.map